# Generated by go2rpm
%bcond_without check

# https://github.com/gorilla/mux
%global goipath         github.com/gorilla/mux
Version:                1.7.4

%gometa

%global common_description %{expand:
Package gorilla/mux implements a request router and dispatcher for matching
incoming requests to their respective handler.

The name mux stands for "HTTP request multiplexer". Like the standard
http.ServeMux, mux.Router matches incoming requests against a list of registered
routes and calls a handler for the route that matches the URL or other
conditions. The main features are:

 - It implements the http.Handler interface so it is compatible with the
   standard http.ServeMux.
 - Requests can be matched based on URL host, path, path prefix, schemes,
   header and query values, HTTP methods or using custom matchers.
 - URL hosts, paths and query values can have variables with an optional
   regular expression.
 - Registered URLs can be built, or "reversed", which helps maintaining
   references to resources.
 - Routes can be used as subrouters: nested routes are only tested if the
   parent route matches. This is useful to define groups of routes that share
   common conditions like a host, a path prefix or other repeated attributes.
   As a bonus, this optimizes request matching.
}

%global golicenses      LICENSE
%global godocs          AUTHORS README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 1
Summary:        A powerful url router and dispatcher for golang
Group:          Development/Other
# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Sun Sep 06 2020 pterjan <pterjan> 1.7.4-1.mga8
+ Revision: 1623023
- Update to 1.7.4 and sync with Fedora

* Tue Nov 20 2018 pterjan <pterjan> 1.6.2-1.mga7
+ Revision: 1332507
- imported package golang-github-gorilla-mux

